#                                               -*- Autoconf -*-
# Process this file with autoconf to produce a configure script.

AC_PREREQ([2.63])
AC_INIT([iwave], [1.2], [eddaw1@gmail.com])
m4_include([m4/matlab.m4])
m4_pattern_allow([AM_PROG_AR])
AM_PROG_AR
AM_INIT_AUTOMAKE([-Wall -Werror foreign])
AC_PROG_CC
AC_CHECK_LIB(m, cos)
AC_CONFIG_MACRO_DIR([m4])
LT_INIT
AC_CONFIG_HEADERS([config.h])
CHECK_MATLAB
AM_CONDITIONAL([COND_MATLAB_MEX], [test "$havemex" = true])
CHECK_MEXEXT
AM_CONDITIONAL([COND_MATLAB_MEXEXT], [test "$havemexext" = true])
if test "$have_matlab" = "no"
then
    AC_MSG_ERROR([Must specify matlab directory using --with-matlab])
fi
AC_CONFIG_FILES([Makefile src/Makefile src/libiwave.pc matlab/Makefile tests/Makefile])
AC_SUBST([pkgconfigdir], [${libdir}/pkgconfig])
AC_OUTPUT
